import { Event } from "vscode/vscode/vs/base/common/event";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { IProductService } from "vscode/vscode/vs/platform/product/common/productService.service";
import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { ITelemetryService } from "vscode/vscode/vs/platform/telemetry/common/telemetry.service";
import { UserDataSyncError } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync";
import { IUserDataSyncLogService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataAutoSyncService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncEnablementService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncStoreService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncStoreManagementService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncAccountService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSyncAccount.service";
import { IUserDataSyncMachinesService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSyncMachines.service";
export declare class UserDataAutoSyncService extends Disposable implements IUserDataAutoSyncService {
    private readonly userDataSyncStoreManagementService;
    private readonly userDataSyncStoreService;
    private readonly userDataSyncEnablementService;
    private readonly userDataSyncService;
    private readonly logService;
    private readonly userDataSyncAccountService;
    private readonly telemetryService;
    private readonly userDataSyncMachinesService;
    private readonly storageService;
    _serviceBrand: any;
    private readonly autoSync;
    private successiveFailures;
    private lastSyncTriggerTime;
    private readonly syncTriggerDelayer;
    private suspendUntilRestart;
    private readonly _onError;
    readonly onError: Event<UserDataSyncError>;
    private lastSyncUrl;
    private get syncUrl();
    private set syncUrl(value);
    private previousProductQuality;
    private get productQuality();
    private set productQuality(value);
    constructor(productService: IProductService, userDataSyncStoreManagementService: IUserDataSyncStoreManagementService, userDataSyncStoreService: IUserDataSyncStoreService, userDataSyncEnablementService: IUserDataSyncEnablementService, userDataSyncService: IUserDataSyncService, logService: IUserDataSyncLogService, userDataSyncAccountService: IUserDataSyncAccountService, telemetryService: ITelemetryService, userDataSyncMachinesService: IUserDataSyncMachinesService, storageService: IStorageService);
    private updateAutoSync;
    protected startAutoSync(): boolean;
    private isAutoSyncEnabled;
    turnOn(): Promise<void>;
    turnOff(everywhere: boolean, softTurnOffOnError?: boolean, donotRemoveMachine?: boolean): Promise<void>;
    private updateEnablement;
    private hasProductQualityChanged;
    private onDidFinishSync;
    private disableMachineEventually;
    private hasToDisableMachineEventually;
    private stopDisableMachineEventually;
    private sources;
    triggerSync(sources: string[], skipIfSyncedRecently: boolean, disableCache: boolean): Promise<void>;
    protected getSyncTriggerDelayTime(): number;
}
