import { Event } from "vscode/vscode/vs/base/common/event";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { IEnvironmentService } from "vscode/vscode/vs/platform/environment/common/environment.service";
import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { ITelemetryService } from "vscode/vscode/vs/platform/telemetry/common/telemetry.service";
import { SyncResource } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync";
import { IUserDataSyncEnablementService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncStoreManagementService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
export declare class UserDataSyncEnablementService extends Disposable implements IUserDataSyncEnablementService {
    private readonly storageService;
    private readonly telemetryService;
    protected readonly environmentService: IEnvironmentService;
    private readonly userDataSyncStoreManagementService;
    _serviceBrand: any;
    private _onDidChangeEnablement;
    readonly onDidChangeEnablement: Event<boolean>;
    private _onDidChangeResourceEnablement;
    readonly onDidChangeResourceEnablement: Event<[
        SyncResource,
        boolean
    ]>;
    constructor(storageService: IStorageService, telemetryService: ITelemetryService, environmentService: IEnvironmentService, userDataSyncStoreManagementService: IUserDataSyncStoreManagementService);
    isEnabled(): boolean;
    canToggleEnablement(): boolean;
    setEnablement(enabled: boolean): void;
    isResourceEnabled(resource: SyncResource): boolean;
    setResourceEnablement(resource: SyncResource, enabled: boolean): void;
    getResourceSyncStateVersion(resource: SyncResource): string | undefined;
    private storeResourceEnablement;
    private onDidStorageChange;
}
