import { IViewDescriptorService } from "vscode/vscode/vs/workbench/common/views.service";
import { TreeViewPane } from "@codingame/monaco-vscode-4a316137-39d1-5d77-8b53-112db3547c1e-common/vscode/vs/workbench/browser/parts/views/treeView";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IResourcePreview } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync";
import { IUserDataSyncService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncEnablementService } from "vscode/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IContextKeyService } from "vscode/vscode/vs/platform/contextkey/common/contextkey.service";
import { IEditorService } from "vscode/vscode/vs/workbench/services/editor/common/editorService.service";
import { IUserDataSyncConflictsView } from "vscode/vscode/vs/workbench/services/userDataSync/common/userDataSync";
import { IUserDataSyncWorkbenchService } from "vscode/vscode/vs/workbench/services/userDataSync/common/userDataSync.service";
import { IViewletViewOptions } from "@codingame/monaco-vscode-2a94c04a-b85b-5669-b06b-89c1bfa11cb9-common/vscode/vs/workbench/browser/parts/views/viewsViewlet";
import { IKeybindingService } from "vscode/vscode/vs/platform/keybinding/common/keybinding.service";
import { IContextMenuService } from "vscode/vscode/vs/platform/contextview/browser/contextView.service";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { IOpenerService } from "vscode/vscode/vs/platform/opener/common/opener.service";
import { IThemeService } from "vscode/vscode/vs/platform/theme/common/themeService.service";
import { ITelemetryService } from "vscode/vscode/vs/platform/telemetry/common/telemetry.service";
import { INotificationService } from "vscode/vscode/vs/platform/notification/common/notification.service";
import { IUserDataProfilesService } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { IHoverService } from "vscode/vscode/vs/platform/hover/browser/hover.service";
import { IAccessibleViewInformationService } from "vscode/vscode/vs/workbench/services/accessibility/common/accessibleViewInformationService.service";
export declare class UserDataSyncConflictsViewPane extends TreeViewPane implements IUserDataSyncConflictsView {
    private readonly editorService;
    private readonly userDataSyncService;
    private readonly userDataSyncWorkbenchService;
    private readonly userDataSyncEnablementService;
    private readonly userDataProfilesService;
    constructor(options: IViewletViewOptions, editorService: IEditorService, keybindingService: IKeybindingService, contextMenuService: IContextMenuService, configurationService: IConfigurationService, contextKeyService: IContextKeyService, viewDescriptorService: IViewDescriptorService, instantiationService: IInstantiationService, openerService: IOpenerService, themeService: IThemeService, telemetryService: ITelemetryService, notificationService: INotificationService, hoverService: IHoverService, userDataSyncService: IUserDataSyncService, userDataSyncWorkbenchService: IUserDataSyncWorkbenchService, userDataSyncEnablementService: IUserDataSyncEnablementService, userDataProfilesService: IUserDataProfilesService, accessibleViewVisibilityService: IAccessibleViewInformationService);
    protected renderTreeView(container: HTMLElement): void;
    private getTreeItems;
    private parseHandle;
    private registerActions;
    open(conflictToOpen: IResourcePreview): Promise<void>;
}
